Redmine - Defect #38697

Exception during thumbnail macro to image tag conversion in emails
2023-06-11 15:37 - Yasu Saku

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 4.2.11

Resolution: Affected version: 5.0.3
Description

Example of the error message displayed in the email:

Error executing the thumbnail macro (undefined method ‘controller_name' for #<Mailer:0x0001d21£88d
b58> Did you mean? controller_path)

This started happening after Issue #37379 was addressed.
And, | have created a patch, please check it out.
Best regards.

Related issues:
Related to Redmine - Defect #37379: Thumbnail macro does not work when a file... Closed

Associated revisions

Revision 22285 - 2023-08-30 09:30 - Go MAEDA

Fix exception raised during thumbnail macro to image tag conversion in emails (#38697).

Patch by Y saku and Mizuki ISHIKAWA.

Revision 22286 - 2023-08-30 09:40 - Go MAEDA
Merged r22285 from trunk to 5.0-stable (#38697).

Revision 22287 - 2023-08-30 09:42 - Go MAEDA
Merged r22285 from trunk to 4.2-stable (#38697).

History

#1 - 2023-06-21 15:03 - Go MAEDA

- Target version set to Candidate for next minor release

Here is a decoded content of fix.patch. Since ActionMailer::Base has controller_path method (
https://api.rubyonrails.org/v6.1/classes/ActionMailer/Base.html#method-c-controller_path), the fix should work as expected.
-—— a/lib/redmine/wiki_formatting/macros.rb

+++ b/lib/redmine/wiki_formatting/macros.rb

@@ -281,7 +281,7 QR module Redmine

container = obj.is_a? (Journal) ? obj.journalized : obj

attachments = container.attachments if container.respond_to? (:attachments)
- if (controller_name == 'previews' || action_name == 'preview') && @attachments.present?
+ if (controller_path == 'previews' || action_name == 'preview') && @attachments.present?
attachments = (attachments.to_a + @attachments) .compact
end

if attachments.present? && (attachment = Attachment.latest_attach(attachments, filename))

#2 - 2023-08-29 03:28 - Go MAEDA

- Related to Defect #37379: Thumbnail macro does not work when a file is attached and preview is displayed immediately added

#3 - 2023-08-29 11:00 - Mizuki ISHIKAWA
https://www.redmine.org/issues/37379
https://www.redmine.org/attachments/30638
https://api.rubyonrails.org/v6.1/classes/ActionMailer/Base.html#method-c-controller_path

- File add-test.patch added

Thank you for fixing the issue. | have attached a patch that adds a test case which fails before the fix and passes after the fix is applied.

#4 - 2023-08-30 09:33 - Go MAEDA

- Subject changed from If the email notification contains a thumbnail, the error message ‘undefined method “controller_name" is displayed. to

Exception during thumbnail macro to image tag conversion in emails
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.

#5 - 2023-08-30 09:42 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.11

Files
fix.patch 1.54 KB 2023-06-11 Yasu Saku
add-test.patch 800 Bytes 2023-08-29 Mizuki ISHIKAWA
